import React, { FC } from 'react';
import { ButtonModel } from '../../../../buttonModels';
import { Text, TouchableHighlight } from 'react-native';
import { styles } from '../../styles';

export const PrimaryBlockTextOutlinedButton: FC<ButtonModel> = ({
  text,
  onClick,
  disabled,
}) => (
  <TouchableHighlight
    disabled={disabled}
    onPress={onClick}
    underlayColor={styles.outlinedButtonPressed.backgroundColor}
    style={[styles.button, styles.outlinedButton, disabled && styles.outlinedButtonDisabled]}
  >
    <Text style={[styles.text, styles.outlinedButtonText, disabled && styles.outlinedButtonDisabledText]} numberOfLines={1}>{text}</Text>
  </TouchableHighlight>
);
