import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const ApartmentIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'Apartment'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M17 11V5c0-1.1-.9-2-2-2H9c-1.1 0-2 .9-2 2v2H5c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h5c.55 0 1-.45 1-1v-3h2v3c0 .55.45 1 1 1h5c1.1 0 2-.9 2-2v-6c0-1.1-.9-2-2-2h-2zM7 19H5v-2h2v2zm0-4H5v-2h2v2zm0-4H5V9h2v2zm4 4H9v-2h2v2zm0-4H9V9h2v2zm0-4H9V5h2v2zm4 8h-2v-2h2v2zm0-4h-2V9h2v2zm0-4h-2V5h2v2zm4 12h-2v-2h2v2zm0-4h-2v-2h2v2z'}
      fill={color}
    />
  </Svg>
);
