import React from 'react';
import Svg, { Path } from 'react-native-svg';
import { getThemeColorByDefaultColor } from '../../../../utils';

export const CheckIcon = ({
  width = '16',
  height = '13',
  color = getThemeColorByDefaultColor('text', 'default'),
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    viewBox='0 0 16 13'
    fill='none'
    testID={'CheckIcon'}
    {...props}
  >
    <Path
      d='M.223 7l5.554 5.556 10-10L14.211.978 5.777 9.41 1.79 5.433.223 7z'
      fill={color}
    />
  </Svg>
);
