import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const GarageDoorOpenIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'GarageDoorOpen'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M21.371 7.69c.38.153.629.523.629.934v9.37C22 18.55 21.552 19 21 19s-1-.45-1-1.005V9.954H4v8.04C4 18.55 3.552 19 3 19s-1-.45-1-1.005V8.624c0-.411.249-.78.629-.934l9-3.618a.995.995 0 01.742 0l9 3.618z'}
      fill={color}
    />
    <Path
      d={'M5 11.964c0-.555.448-1.005 1-1.005h12c.552 0 1 .45 1 1.005 0 .555-.448 1.005-1 1.005H6c-.552 0-1-.45-1-1.005z'}
      fill={color}
    />
  </Svg>
);
